package nc.ui.bd.ref.model;

import nc.itf.bd.pub.IBDResourceIDConst;
import nc.ui.bd.ref.AbstractRefModel;
import nc.ui.bd.ref.IRefDocEdit;
import nc.ui.bd.ref.IRefMaintenanceHandler;
import nc.ui.pub.beans.ValueChangedEvent;
import nc.vo.bd.stordoc.StordocVO;
import nc.vo.bd.defdoc.DefdocVO ;      
import nc.vo.ml.NCLangRes4VoTransl;

/**
 * OCRƱʶ
 */
public class StorDocReportRefModel extends AbstractRefModel{
	 private DefdocDefaultModelUtil util = new DefdocDefaultModelUtil();
	public StorDocReportRefModel() {
		super();
		getRefQueryVO();
	}
	
	 @Override
	    public void filterValueChanged(ValueChangedEvent changedValue) {
	        super.filterValueChanged(changedValue);
	        util.filterValueChanged(this, changedValue);
	    }

	  
	 
	 
	
	@Override
	public void reset() {
        this.setFieldCode(new String[] {
                DefdocVO.CODE, DefdocVO.NAME, DefdocVO.MEMO, DefdocVO.MNECODE,DefdocVO.NAME2,DefdocVO.NAME3,DefdocVO.NAME4
            });
            this.setFieldName(new String[] {
            		"Ʊ",
            		"Ʊ",
            		"Ʊ",
            		"˰ʶ",
            		"򷽹˾", 
            		"۷˰ʶ",
            		"۷˾" 
            });
            this.setHiddenFieldCode(new String[] {
                DefdocVO.PK_DEFDOC
            });
            this.setRefCodeField(DefdocVO.CODE);
            this.setRefNameField(DefdocVO.NAME);
            this.setPkFieldCode(DefdocVO.PK_DEFDOC);
            this.setTableName(this.getPara2());
            this.setMnecode(new String[] {
                DefdocVO.MNECODE
            });
            this.setOrderPart(DefdocVO.CODE);
            // Ȩ
            this.setResourceID(this.getResourceCode());
            final String[] funcodes = util.getFuncode(this.getPara1());
            // Ĭϲʾͣ
            this.setAddEnableStateWherePart(true);
            if (util.isContainBuData(this.getPara1())) {
                this.setFilterRefNodeName(new String[] {
                    "ҵԪ" /* -=notranslate=- */
                });
            }
            // ά
 /*           setRefMaintenanceHandler(new IRefMaintenanceHandler() {

                @Override
                public String[] getFucCodes() {
                    return funcodes;
                }

                @Override
                public IRefDocEdit getRefDocEdit() {
                    return null;
                }
            });*/
            this.resetFieldName();
        }

	/**
	 * ձ :(01-4-4 0:57:23)
	 *
	 * @return java.lang.String
	 */
	public String getRefTitle() {
		return "OCRʶ";
	}
	
	
	public Object getValue(String field) {
		Object[] values = getValues(field);

		Object value = null;
		String strValue = "";
		if (values != null && values.length > 1) {
			for (Object pkobj : values) {
				strValue += pkobj + ",";
			}
			strValue = strValue.substring(0, strValue.lastIndexOf(","));
			value = strValue;
			
		}else if(values != null && values.length > 0){
			value = values[0];
		}

		return value;
	}

	/**
	 * òʾ
	 */
	public String[] getHiddenFieldCode() {
		return new String[] { "pk_defdoc" };
	}

	/**
	 * òձ
	 */
	public String getTableName() {
		return "bd_defdoc";
	}

	/**
	 * òղѯ
	 * 
	 */
	public String getWherePart(){
		return " isnull(dr, 0) = 0 and pk_defdoclist="
				+ "(select pk_defdoclist from bd_defdoclist where code='OCRTHNC' and nvl(dr,0)=0) ";
	}

	public boolean isMatchPkWithWherePart() {
		return true;
	}

	/**
	 * ȡֶΣҪ
	 */
	public String getPkFieldCode() {
		return DefdocVO.PK_DEFDOC;
	}
	
	private String getResourceCode() {
        return util.getResourceCode(this.getRefNodeName());
    }
	
//	  /**
//     * дȨ޻Keyֵ
//     */
//    @Override
//    protected String getDataPowerSqlKey(String strTableName,
//            String dataPowerField) {
//        String pk_org = null;
//        String tableName = strTableName;
//        if (strTableName != null) {
//            tableName = strTableName.trim();
//        }
//        String dataPowerKey =
//                tableName + this.getPara1() + "_" + dataPowerField
//                        + getDataPowerOperation_code() + pk_org;
//        return dataPowerKey;
//    }

}
