package nc.ui.pu.m25.editor.card.afteredit.body;
import nc.bs.framework.common.NCLocator;
import nc.itf.uap.IUAPQueryBS;
import nc.jdbc.framework.processor.BeanProcessor;
import nc.ui.pub.bill.BillCardPanel;
import nc.ui.bd.pubinfo.BillItem;
import nc.ui.cm.costtrandef.RefMoreSelectedUtils;
import nc.ui.pu.pub.editor.card.listener.ICardBodyAfterEditEventListener;
import nc.ui.pub.beans.UIRefPane;
import nc.ui.pubapp.uif2app.event.card.CardBodyAfterEditEvent;
import nc.vo.bd.defdoc.DefdocVO;
import nc.vo.pub.BusinessException;
import nc.vo.pub.lang.UFDouble;

public class Vbdef20 implements ICardBodyAfterEditEventListener {

	@Override
	public void afterEdit(CardBodyAfterEditEvent arg0) {
		UIRefPane ref=(UIRefPane) arg0.getBillCardPanel().getBodyItem("vbdef20").getComponent();
		String[] pks = ref.getRefPKs();
		StringBuffer sbf = new StringBuffer();
		// PK
		if (pks == null || pks.length <= 0) {
			sbf.append(",");
		} else {
			for (int i = 0; i < pks.length; i++) {
				sbf.append(","+pks[i]);
			}
		}
		
		//PK
		arg0.getBillCardPanel().setBodyValueAt(sbf.substring(1), arg0.getRow(), "vbdef20");
		UFDouble SumAmount = new UFDouble(0);//˰
		UFDouble SumTotal = new UFDouble(0);//˰ϼ
		UFDouble SumTax = new UFDouble(0);//˰
		for(int i = 0;i < pks.length;i++){
			String pk = pks[i];
			String qrysql = "select * from bd_defdoc where dr=0 and pk_defdoc = '"+pk+"'";
			IUAPQueryBS iuap=(IUAPQueryBS) NCLocator.getInstance().lookup(IUAPQueryBS.class.getName());
			DefdocVO defdocvo;
			try {
				defdocvo = (DefdocVO) iuap.executeQuery(qrysql, new BeanProcessor(DefdocVO.class));
				arg0.getBillCardPanel().setHeadItem("vbillcode", defdocvo.getMemo());
				Object shortname = defdocvo.getShortname();
				if(shortname != null && shortname.toString() != ""){
					SumAmount.add(new UFDouble(shortname.toString()));
				}
				Object shortname2 = defdocvo.getShortname();
				if(shortname2 != null && shortname2.toString() != ""){
					SumTotal.add(new UFDouble(shortname2.toString()));
				}
				Object shortname3 = defdocvo.getShortname();
				if(shortname3 != null && shortname3.toString() != ""){
					SumTax.add(new UFDouble(shortname3.toString()));
				}
			} catch (BusinessException e) {
				// TODO Զɵ catch 
				e.printStackTrace();
			}
		}
		arg0.getBillCardPanel().setBodyValueAt(SumAmount, 10, "norigmny");
		arg0.getBillCardPanel().setBodyValueAt(SumTotal, 10, "norigtaxmny");
		arg0.getBillCardPanel().setBodyValueAt(SumTax, 10, "ntax");
		
		
		
		ref.setPKs(pks);
//		DefaultConstEnum refEnum = new DefaultConstEnum(sbf.toString().substring(0, sbf.toString().length()-1), ref.getRefShowName());
//		arg0.getBillCardPanel().setBodyValueAt(refEnum, arg0.getRow(), "vbdef20");
//		arg0.getBillCardPanel().setBodyValueAt(sbf.toString().substring(0, sbf.toString().length()-1),
//				arg0.getRow(), "vbdef17");

		
	}

}
